<template lang="pug">
  footer(class="footer")
    div(class="footer-container")
      div(class="footer-container-columns")
        div()
          ul
            li {{ $t('layout.footer.columns.opensource') }}
            li
              a(href="https://gitlab.com/devnet.kz" target="_blank")
                IconGitlabLogo()/
                span {{ $t('label.gitlab') }}
            li
              a(href="https://github.com/devnet-kz" target="_blank")
                IconGithubLogo()/
                span {{ $t('label.github') }}
            li
              a(href="https://hub.docker.com/u/devnetkz" target="_blank")
                IconDockerLogo()/
                span {{ $t('label.docker') }}
        div
          ul
            li {{ $t('layout.footer.columns.other') }}
            li
              a(href="https://patreon.com/yerlen" target="_blank" class="text-red-400")
                IconPatreonLogo()/
                span {{ $t('label.patreon') }}
            li
              a(href="https://www.buymeacoffee.com/teamxg" target="_blank")
                IconBuyMeACoffeeLogo()/
                span {{ $t('label.buymeacoffee') }}
      div(class="m-2")
        nuxt-link(:to="localePath('about')" class="before:content-['©']") {{ ' ' + new Date().getFullYear() + ' ' + $t('layout.footer.copyright') }}
</template>

<script>
import IconGitlabLogo from '~/assets/svg/ph-gitlab-logo-fill.svg?inline';
import IconGithubLogo from '~/assets/svg/ph-github-logo-fill.svg?inline';
import IconPatreonLogo from '~/assets/svg/logo-patreon.svg?inline';
import IconDockerLogo from "~/assets/svg/logo-docker.svg?inline";
import IconBuyMeACoffeeLogo from "~/assets/svg/logo-buymeacoffee.svg?inline";

export default {
  name:       "Footer",
  components: {
    IconGitlabLogo,
    IconGithubLogo,
    IconPatreonLogo,
    IconDockerLogo,
    IconBuyMeACoffeeLogo,
  },
}
</script>

<style lang="scss" scoped>
.footer {
  @apply
  filter
  blur-sm
  xs:filter-none
  bg-gray-700
  dark:bg-gray-700
  text-gray-500
  dark:text-gray-400
  mt-4
  ;

  &-container {
    @apply
    sm:container
    sm:mx-auto
    px-2
    text-xs
    py-2
    flex
    items-end
    justify-between
    ;

    &-columns {
      @apply
      md:grid md:grid-flow-col md:auto-cols-max gap-x-8
      ;

      ul {
        @apply pt-2;

        li {
          @apply pb-2;

          &:first-child {
            @apply text-lg mb-2;
          }

          &:last-child {
            @apply mb-2;
          }

          a {
            svg {
              @apply
              inline-block
              w-4
              h-4
              mr-1
              fill-current
              ;
            }
          }
        }
      }
    }
  }
}
</style>
